package com.sino.rrs.entity;

import java.util.Date;

public class RescueCompanyDispatchPO
{
  private int Id;
  private int order_id;
  private int flow_id;
  private String order_code;
  private String service_name;
  private String license;
  private String style;
  private String userName;
  private String userPhone;
  private double lon;
  private double lat;
  private String address;
  private String addressAdd;
  private String dest_address;
  private String remark;
  private Date create_time;
  private String RESCUE_COMPANY_CODE;
  private String dispatchUser;
  private String ADDRESS_PROPERTY;
  private String CONTRACTING_NAME;
  private String openId;
  private String templeteId;
  private int flag;
  private double mileage1;
  private double mileage2;
  private Date update_time;
  private Date finish_time;
  private int dispatch_state;
  private int dispatch_flag;
  private int orderType;

  public String getUserName()
  {
    return this.userName;
  }
  public void setUserName(String userName) {
    this.userName = userName;
  }
  public String getUserPhone() {
    return this.userPhone;
  }
  public void setUserPhone(String userPhone) {
    this.userPhone = userPhone;
  }
  public double getLon() {
    return this.lon;
  }
  public void setLon(double lon) {
    this.lon = lon;
  }
  public double getLat() {
    return this.lat;
  }
  public void setLat(double lat) {
    this.lat = lat;
  }
  public String getRemark() {
    return this.remark;
  }
  public void setRemark(String remark) {
    this.remark = remark;
  }
  public String getDispatchUser() {
    return this.dispatchUser;
  }
  public void setDispatchUser(String dispatchUser) {
    this.dispatchUser = dispatchUser;
  }
  public String getADDRESS_PROPERTY() {
    return this.ADDRESS_PROPERTY;
  }
  public void setADDRESS_PROPERTY(String aDDRESS_PROPERTY) {
    this.ADDRESS_PROPERTY = aDDRESS_PROPERTY;
  }
  public String getCONTRACTING_NAME() {
    return this.CONTRACTING_NAME;
  }
  public void setCONTRACTING_NAME(String cONTRACTING_NAME) {
    this.CONTRACTING_NAME = cONTRACTING_NAME;
  }

  public int getDispatch_state()
  {
    return this.dispatch_state;
  }
  public void setDispatch_state(int dispatch_state) {
    this.dispatch_state = dispatch_state;
  }
  public String getService_name() {
    return this.service_name;
  }
  public void setService_name(String service_name) {
    this.service_name = service_name;
  }
  public String getLicense() {
    return this.license;
  }
  public void setLicense(String license) {
    this.license = license;
  }
  public String getAddress() {
    return this.address;
  }
  public void setAddress(String address) {
    this.address = address;
  }
  public String getDest_address() {
    return this.dest_address;
  }
  public void setDest_address(String dest_address) {
    this.dest_address = dest_address;
  }
  public Date getCreate_time() {
    return this.create_time;
  }
  public void setCreate_time(Date create_time) {
    this.create_time = create_time;
  }

  public Integer getId()
  {
    return Integer.valueOf(this.Id);
  }
  public void setId(Integer id) {
    this.Id = id.intValue();
  }
  public int getOrder_id() {
    return this.order_id;
  }
  public void setOrder_id(int order_id) {
    this.order_id = order_id;
  }
  public String getOrder_code() {
    return this.order_code;
  }
  public void setOrder_code(String order_code) {
    this.order_code = order_code;
  }
  public String getRESCUE_COMPANY_CODE() {
    return this.RESCUE_COMPANY_CODE;
  }
  public void setRESCUE_COMPANY_CODE(String rESCUE_COMPANY_CODE) {
    this.RESCUE_COMPANY_CODE = rESCUE_COMPANY_CODE;
  }
  public int getDispatch_flag() {
    return this.dispatch_flag;
  }
  public void setDispatch_flag(int dispatch_flag) {
    this.dispatch_flag = dispatch_flag;
  }
  public int getFlow_id() {
    return this.flow_id;
  }
  public void setFlow_id(int flow_id) {
    this.flow_id = flow_id;
  }
  public int getOrderType() {
    return this.orderType;
  }
  public void setOrderType(int orderType) {
    this.orderType = orderType;
  }
  public String getStyle() {
    return this.style;
  }
  public void setStyle(String style) {
    this.style = style;
  }
  public String getAddressAdd() {
    return this.addressAdd;
  }
  public void setAddressAdd(String addressAdd) {
    this.addressAdd = addressAdd;
  }
  public String getOpenId() {
    return this.openId;
  }
  public void setOpenId(String openId) {
    this.openId = openId;
  }
  public String getTempleteId() {
    return this.templeteId;
  }
  public void setTempleteId(String templeteId) {
    this.templeteId = templeteId;
  }
  public int getFlag() {
    return this.flag;
  }
  public void setFlag(int flag) {
    this.flag = flag;
  }
  public double getMileage1() {
    return this.mileage1;
  }
  public void setMileage1(double mileage1) {
    this.mileage1 = mileage1;
  }
  public double getMileage2() {
    return this.mileage2;
  }
  public void setMileage2(double mileage2) {
    this.mileage2 = mileage2;
  }
  public Date getUpdate_time() {
    return this.update_time;
  }
  public void setUpdate_time(Date update_time) {
    this.update_time = update_time;
  }
  public Date getFinish_time() {
    return this.finish_time;
  }
  public void setFinish_time(Date finish_time) {
    this.finish_time = finish_time;
  }
}